QGIS Application - Feature request #19125
Always show deprecated plugins in Plugin Manager (remove the option to hide/show them)
2018-06-06 01:49 PM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee: Borys Jurgiel

Category: Plugin Manager

Pull Request or Patch supplied: Resolution: wontfix
Easy fix?: No Copied to github as #: 26955
Description

See this dev list thread:

https:/lists.osgeo.org/pipermail/ggis-developer/2018-June/053615.html

We currently do not have a way to show alternative plugins to a user which is searching for a (by us) deprecated plugin.
Average users will never see the deprecated plugins, because by default they are hidden.
My request is to remove the checkbox, and just always show deprecated, plugins, thereby give us a way to show alternative pluygins

(preferably clickable...) in the description of the deprecated plugin.
Deprecated plugins could maybe show half transparent or so? To clearly show that this is a deprecated plugin?

Associated revisions

Revision 05c9e018 - 2018-09-14 05:37 PM - Borys Jurgiel

[Plugin manager][needs-docs] Deprecated plugins are listed gray. Fixes #19125

History

#1 - 2018-06-06 01:51 PM - Richard Duivenvoorde

- Description updated

#2 - 2018-06-06 02:37 PM - Borys Jurgiel

Sounds like a feature, so give me the two weeks until master is defrosted ;)

I'm not sure if mixing text styles is a good idea. Maybe a very distinct red banner in the plugin details plus an additional confirmation dialog will be enough?

#3 - 2018-08-26 03:34 PM - Borys Jurgiel
- Pull Request or Patch supplied changed from No to Yes

See https://github.com/qgis/QGIS/pull/7713

I made a warning icon instead of the half-transparent style.

Showing the alternative plugins would require changes in the repository to expose it in the metadata response and I'm afraid we lack some manpower
here... Although as soon as the new tag is added to the metadata, it's easy to put it (as a clickable link) to the manager.
https://lists.osgeo.org/pipermail/qgis-developer/2018-June/053615.html
https://github.com/qgis/QGIS/pull/7713

#4 - 2018-08-31 01:24 PM - Borys Jurgiel
- Resolution set to wontfix

- Status changed from Open to Closed

Refused by the Board ;-)
